/*
 * file ListClasses.java
 *
 * IBM Confidential
 * OCO Source Materials
 * Rational ClearCase
 * (C) Copyright IBM Corp. 2010.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.rational.wvcm.stpex.annotation.processing;

import static com.sun.mirror.util.DeclarationVisitors.NO_OP;
import static com.sun.mirror.util.DeclarationVisitors.getDeclarationScanner;

import com.sun.mirror.apt.AnnotationProcessor;
import com.sun.mirror.apt.AnnotationProcessorEnvironment;
import com.sun.mirror.declaration.AnnotationTypeDeclaration;
import com.sun.mirror.declaration.Declaration;

public class ListClasses implements AnnotationProcessor{

    private final AnnotationProcessorEnvironment m_env;
    
    ListClasses(
        AnnotationProcessorEnvironment env
    ) 
    {
        m_env = env;
    }

    public void 
    process() 
    {
        for (Declaration typeDecl : m_env.getSpecifiedTypeDeclarations()) {
            System.out.println("Processing " + typeDecl.getSimpleName());
            typeDecl.accept(
                getDeclarationScanner(NO_OP, new ListClassesVisitor(m_env)));
        }
    }
}
